<?php
/**
 * app/plugins/members/models/membership_invoices.php
 *
 * This class is used for the manipulation of the membership_invoices database table.
 *
 * @package TP Members
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Models;

use TheTempusProject\Canary\Bin\Canary as Debug;
use TheTempusProject\Bedrock\Functions\Check;
use TheTempusProject\Bedrock\Functions\Sanitize;
use TheTempusProject\Classes\DatabaseModel;
use TheTempusProject\TheTempusProject as App;

class MembershipInvoices extends DatabaseModel {
    public static $stripe;
    public $tableName = 'membership_invoices';

    public $databaseMatrix = [
        [ 'name', 'varchar', '155' ],
        // renews?
        //     does this renew periodically?
        // renewal period?
        //     if periodic, how frequent?
        // renewal type?
        //     automatic, manual review, paid
    ];

    public function __construct() {
        parent::__construct();
    }
}